//
//  YHViewController.swift
//  galaxy
//
//  Created by EDY on 2024/4/22.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

extension UIScrollView {
    // 解决有UIScrollView时不能在屏幕左边侧滑返回
    open override func gestureRecognizerShouldBegin(_ gestureRecognizer: UIGestureRecognizer) -> Bool {
        // 过滤UITextView（因为UITextView继承自UIScrollView），否则会引起崩溃
        if (gestureRecognizer.view?.isMember(of: UITextView.self))! {
            return true
        }
        let velocity = (gestureRecognizer as! UIPanGestureRecognizer).velocity(in: self)
        let location = gestureRecognizer.location(in: self)
        if (velocity.x > 0.0 && Int(location.x) % Int(UIScreen.main.bounds.size.width) < 60) {
            return false
        }
        return true
    }
}

